summaryrefslogtreecommitdiffstats
path: root/scripts/test
diff options
context:
space:
mode:
authorAdam Stankiewicz <sheerun@sher.pl>2020-09-06 19:20:09 +0200
committerAdam Stankiewicz <sheerun@sher.pl>2020-09-06 19:20:23 +0200
commite9b3bcd5e1ba61445565041b757392e385fd5ed0 (patch)
tree7bb0277910e2c82a2273a33bd860707672011d05 /scripts/test
parentd9ee362537a34473b32ad3b4a1d7feb56a6b6811 (diff)
downloadvim-polyglot-e9b3bcd5e1ba61445565041b757392e385fd5ed0.tar.gz
vim-polyglot-e9b3bcd5e1ba61445565041b757392e385fd5ed0.zip
Ensure duplicate tags do not happen in the future, #538
Diffstat (limited to 'scripts/test')
-rwxr-xr-xscripts/test5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/test b/scripts/test
index 97480439..e5418fa4 100755
--- a/scripts/test
+++ b/scripts/test
@@ -9,3 +9,8 @@ vim --clean -N -u <(echo "
\"source scripts/test_filetypes.vim
qa!
")
+
+if ! expect -c 'set timeout 1' -c 'spawn vim -N --clean -c "set nomore | :helptags ./doc | q"' -c 'expect "ENTER" { exit 1 }' > /dev/null; then
+ echo "Please ensure ':helptags ./doc' works properly"
+ exit 1
+fi